> For the complete documentation index, see [llms.txt](https://docs.dexe.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dexe.network/contract-interfaces/core-contracts/icontractsregistry.md).

# IContractsRegistry

## Interface Description

License: MIT

##

```solidity
interface IContractsRegistry
```

This is the registry contract of DEXE platform that stores information about the other contracts used by the protocol. Its purpose is to keep track of the propotol's contracts, provide upgradeability mechanism and dependency injection mechanism.

## Functions info

### getUserRegistryContract (0x435403b4)

```solidity
function getUserRegistryContract() external view returns (address)
```

Used in dependency injection mechanism

Return values:

| Name | Type    | Description                   |
| ---- | ------- | ----------------------------- |
| \[0] | address | UserRegistry contract address |

### getPoolFactoryContract (0x475c5bc6)

```solidity
function getPoolFactoryContract() external view returns (address)
```

Used in dependency injection mechanism

Return values:

| Name | Type    | Description                  |
| ---- | ------- | ---------------------------- |
| \[0] | address | PoolFactory contract address |

### getPoolRegistryContract (0x892dd52a)

```solidity
function getPoolRegistryContract() external view returns (address)
```

Used in dependency injection mechanism

Return values:

| Name | Type    | Description                   |
| ---- | ------- | ----------------------------- |
| \[0] | address | PoolRegistry contract address |

### getDEXEContract (0x9fc64f57)

```solidity
function getDEXEContract() external view returns (address)
```

Used in dependency injection mechanism

Return values:

| Name | Type    | Description                 |
| ---- | ------- | --------------------------- |
| \[0] | address | DEXE token contract address |

### getUSDContract (0xa5bac943)

```solidity
function getUSDContract() external view returns (address)
```

Used in dependency injection mechanism

Return values:

| Name | Type    | Description                                                                      |
| ---- | ------- | -------------------------------------------------------------------------------- |
| \[0] | address | Platform's native USD token contract address. This may be USDT/BUSD/USDC/DAI/FEI |

### getPriceFeedContract (0x9bc0c5d2)

```solidity
function getPriceFeedContract() external view returns (address)
```

Used in dependency injection mechanism

Return values:

| Name | Type    | Description                |
| ---- | ------- | -------------------------- |
| \[0] | address | PriceFeed contract address |

### getTreasuryContract (0x26c74fc3)

```solidity
function getTreasuryContract() external view returns (address)
```

Used in dependency injection mechanism

Return values:

| Name | Type    | Description                      |
| ---- | ------- | -------------------------------- |
| \[0] | address | Treasury contract/wallet address |

### getCorePropertiesContract (0xc1ff8103)

```solidity
function getCorePropertiesContract() external view returns (address)
```

Used in dependency injection mechanism

Return values:

| Name | Type    | Description                     |
| ---- | ------- | ------------------------------- |
| \[0] | address | CoreProperties contract address |

### getBABTContract (0x05a1b626)

```solidity
function getBABTContract() external view returns (address)
```

Used in dependency injection mechanism

Return values:

| Name | Type    | Description           |
| ---- | ------- | --------------------- |
| \[0] | address | BABT contract address |

### getDexeExpertNftContract (0x029f708b)

```solidity
function getDexeExpertNftContract() external view returns (address)
```

Used in dependency injection mechanism

Return values:

| Name | Type    | Description                    |
| ---- | ------- | ------------------------------ |
| \[0] | address | DexeExpertNft contract address |

### getPoolSphereXEngineContract (0x93446644)

```solidity
function getPoolSphereXEngineContract() external view returns (address)
```

Used in dependency injection mechanism

Return values:

| Name | Type    | Description             |
| ---- | ------- | ----------------------- |
| \[0] | address | SphereX engine for DAOs |

### getSphereXEngineContract (0xb5ec48a4)

```solidity
function getSphereXEngineContract() external view returns (address)
```

Used in dependency injection mechanism

Return values:

| Name | Type    | Description                        |
| ---- | ------- | ---------------------------------- |
| \[0] | address | SphereX engine for global entities |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dexe.network/contract-interfaces/core-contracts/icontractsregistry.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
